io.vertx.rxjava.ext.auth.oauth2.providers

## Class StripeAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.StripeAuth

-     public class StripeAuth
      extends Object

  Simplified factory to create an for Stripe.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<StripeAuth>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StripeAuth(StripeAuth delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret)` Create a OAuth2Auth provider for Stripe
    `static OAuth2Auth` | `create(Vertx vertx, String clientId, String clientSecret, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Stripe
    `StripeAuth` | `getDelegate()`
    `static StripeAuth` | `newInstance(StripeAuth arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<StripeAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### StripeAuth

          public StripeAuth(StripeAuth delegate)

  - ### Method Detail

    - #### getDelegate

          public StripeAuth getDelegate()

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret)

      Create a OAuth2Auth provider for Stripe
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Stripe
        `clientSecret` - the client secret given to you by Stripe
      Returns:

    - #### create

          public static OAuth2Auth create(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Stripe
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by Stripe
        `clientSecret` - the client secret given to you by Stripe
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static StripeAuth newInstance(StripeAuth arg)

Copyright © 2017. All rights reserved.